Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.hibernate.tool.ddl2hbm
Class JDBCUtil

    java.lang.Object
      |
      +--net.sf.hibernate.tool.ddl2hbm.JDBCUtil

public class JDBCUtil
extends Object

Author:
  Administrator

Nested Class Summary
`static class` | `JDBCUtil.Column`

Constructor Summary
`JDBCUtil()`

Method Summary
`static List` | `getCatalogs(Connection c)`
`static Set` | `getForeignKeyColumns(Connection c, String catalog, String schema, String table)`
`static net.sf.hibernate.type.NullableType` | `getHibernateType(int sqlType, int columnSize, int decimalDigits)`
`static Class` | `getJavaType(int sqlType, int columnSize, int decimalDigits)`
`static List` | `getPrimaryKeyColumns(Connection c, String catalog, String schema, String table)`
`static Map` | `getSchemas(Connection c)`
`static List` | `getTableColumns(Connection c, String catalog, String schema, String table)`
`static List` | `getTableColumns(Connection c, String catalog, String schema, String table, String columnPattern)`
`static List` | `getTables(Connection c, String catalog, String schema, String tablePattern)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCUtil

    public JDBCUtil()

Method Detail

### getCatalogs

    public static List getCatalogs(Connection c)
                            throws SQLException

    `SQLException`

### getSchemas

    public static Map getSchemas(Connection c)
                          throws SQLException

    `SQLException`

### getTables

    public static List getTables(Connection c,
                                 String catalog,
                                 String schema,
                                 String tablePattern)
                          throws SQLException

    `SQLException`

### getForeignKeyColumns

    public static Set getForeignKeyColumns(Connection c,
                                           String catalog,
                                           String schema,
                                           String table)
                                    throws SQLException

    `SQLException`

### getPrimaryKeyColumns

    public static List getPrimaryKeyColumns(Connection c,
                                            String catalog,
                                            String schema,
                                            String table)
                                     throws SQLException

    `SQLException`

### getTableColumns

    public static List getTableColumns(Connection c,
                                       String catalog,
                                       String schema,
                                       String table)
                                throws SQLException

    `SQLException`

### getTableColumns

    public static List getTableColumns(Connection c,
                                       String catalog,
                                       String schema,
                                       String table,
                                       String columnPattern)
                                throws SQLException

    `SQLException`

### getHibernateType

    public static net.sf.hibernate.type.NullableType getHibernateType(int sqlType,
                                                                      int columnSize,
                                                                      int decimalDigits)

### getJavaType

    public static Class getJavaType(int sqlType,
                                    int columnSize,
                                    int decimalDigits)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD